Pular para o conteúdo principal
POST
/
entitlements
/
{id}
/
files
JavaScript
import DodoPayments from 'dodopayments';

const client = new DodoPayments({
  bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted
});

const response = await client.entitlements.files.upload('ent_jt7jcvI79Xh8eehqgWdcm');

console.log(response.file_id);
{
  "file_id": "<string>"
}

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parâmetros de caminho

id
string
obrigatório

Entitlement Id

Resposta

File attached to entitlement

file_id
string
obrigatório

Identifier of the attached file. Pass it to DELETE /entitlements/{id}/files/{file_id} to detach the file later.

Última modificação em 28 de maio de 2026